src/base/cs_block_to_part.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_block_to_part.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "cs_block_dist.h"`
`#include "cs_order.h"`
`#include "cs_block_to_part.h"`
Include dependency graph for cs_block_to_part.c:

## Functions
cs_block_to_part_t * | cs_block_to_part_create_by_rank (MPI_Comm comm, cs_block_dist_info_t block, int ent_rank[])
cs_block_to_part_t * | cs_block_to_part_create_by_adj_s (MPI_Comm comm, cs_block_dist_info_t block, cs_block_dist_info_t adjacent_block, int stride, cs_gnum_t adjacency[], int adjacent_ent_rank[], int default_rank[])
cs_block_to_part_t * | cs_block_to_part_create_adj (MPI_Comm comm, cs_block_dist_info_t adjacent_block, size_t adjacency_size, const cs_gnum_t adjacency[])
cs_block_to_part_t * | cs_block_to_part_create_by_gnum (MPI_Comm comm, cs_block_dist_info_t bi, cs_lnum_t n_part_ents, const cs_gnum_t global_ent_num[])
void | cs_block_to_part_destroy (cs_block_to_part_t **d)
cs_lnum_t | cs_block_to_part_get_n_part_ents (cs_block_to_part_t *d)
cs_gnum_t * | cs_block_to_part_transfer_gnum (cs_block_to_part_t *d)
void | cs_block_to_part_copy_array (cs_block_to_part_t *d, cs_datatype_t datatype, int stride, const void *block_values, void *part_values)
void | cs_block_to_part_copy_index (cs_block_to_part_t *d, const cs_lnum_t *block_index, cs_lnum_t *part_index)
void | cs_block_to_part_copy_indexed (cs_block_to_part_t *d, cs_datatype_t datatype, const cs_lnum_t *block_index, const void *block_val, const cs_lnum_t *part_index, void *part_val)
void | cs_block_to_part_global_to_local (cs_lnum_t n_ents, cs_lnum_t base, cs_lnum_t global_list_size, bool global_list_is_sorted, const cs_gnum_t global_list[], const cs_gnum_t global_number[], cs_lnum_t local_number[])

## Function Documentation

void cs_block_to_part_copy_array | ( | cs_block_to_part_t * | d,
|  | cs_datatype_t | datatype,
|  | int | stride,
|  | const void * | block_values,
|  | void * | part_values
| ) |  |

void cs_block_to_part_copy_index | ( | cs_block_to_part_t * | d,
|  | const cs_lnum_t * | block_index,
|  | cs_lnum_t * | part_index
| ) |  |

void cs_block_to_part_copy_indexed | ( | cs_block_to_part_t * | d,
|  | cs_datatype_t | datatype,
|  | const cs_lnum_t * | block_index,
|  | const void * | block_val,
|  | const cs_lnum_t * | part_index,
|  | void * | part_val
| ) |  |

cs_block_to_part_t* cs_block_to_part_create_adj | ( | MPI_Comm | comm,
|  | cs_block_dist_info_t | adjacent_block,
|  | size_t | adjacency_size,
|  | const cs_gnum_t | adjacency[]
| ) |  |

cs_block_to_part_t* cs_block_to_part_create_by_adj_s | ( | MPI_Comm | comm,
|  | cs_block_dist_info_t | block,
|  | cs_block_dist_info_t | adjacent_block,
|  | int | stride,
|  | cs_gnum_t | adjacency[],
|  | int | adjacent_ent_rank[],
|  | int | default_rank[]
| ) |  |

cs_block_to_part_t* cs_block_to_part_create_by_gnum | ( | MPI_Comm | comm,
|  | cs_block_dist_info_t | bi,
|  | cs_lnum_t | n_part_ents,
|  | const cs_gnum_t | global_ent_num[]
| ) |  |

cs_block_to_part_t* cs_block_to_part_create_by_rank | ( | MPI_Comm | comm,
|  | cs_block_dist_info_t | block,
|  | int | ent_rank[]
| ) |  |

void cs_block_to_part_destroy | ( | cs_block_to_part_t ** | d | ) |

cs_lnum_t cs_block_to_part_get_n_part_ents | ( | cs_block_to_part_t * | d | ) |

void cs_block_to_part_global_to_local | ( | cs_lnum_t | n_ents,
|  | cs_lnum_t | base,
|  | cs_lnum_t | global_list_size,
|  | bool | global_list_is_sorted,
|  | const cs_gnum_t | global_list[],
|  | const cs_gnum_t | global_number[],
|  | cs_lnum_t | local_number[]
| ) |  |

cs_gnum_t* cs_block_to_part_transfer_gnum | ( | cs_block_to_part_t * | d | ) |